Bug 91501 - CONDITIONAL FORMATTING: Color not available in default palette not shown in dialog
Summary: CONDITIONAL FORMATTING: Color not available in default palette not shown in d...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.3.7.2 release
Hardware: Other All
: medium normal
Assignee: Katarina Behrens (CIB)
URL:
Whiteboard: target:5.0.3 target:5.1.0
Keywords:
Depends on:
Blocks: Conditional-Formatting
  Show dependency treegraph
 
Reported: 2015-05-22 20:54 UTC by Yousuf Philips (jay) (retired)
Modified: 2016-10-25 19:24 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
sample doc (9.92 KB, application/vnd.oasis.opendocument.spreadsheet)
2015-05-22 20:54 UTC, Yousuf Philips (jay) (retired)
Details
custom color in format cell dialog (77.00 KB, image/png)
2015-05-22 21:02 UTC, Yousuf Philips (jay) (retired)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2015-05-22 20:54:30 UTC
Created attachment 115860 [details]
sample doc

Steps:
1) Open attached file
2) Format > Conditional Formatting > Manage
3) Click 'Edit...' button
4) Click 'More Options' button
5) Positive is set to 'Blue 3' rather than the actual color (#00ff00)

Version: 5.1.0.0.alpha1+
Build ID: 1c9302565aefb5a54b1b7f1478dd6dac724d30ea
TinderBox: Linux-rpm_deb-x86@45-TDF, Branch:master, Time: 2015-05-21_00:47:28
Comment 1 Yousuf Philips (jay) (retired) 2015-05-22 21:02:53 UTC
Created attachment 115861 [details]
custom color in format cell dialog

This issue doesnt occur when a custom color is set as a border color and then opening Format > Cells > Borders, as the custom color is added to the list.
Comment 2 raal 2015-05-24 07:13:42 UTC
I can confirm with Version: 5.1.0.0.alpha1+
Build ID: e929194317a7debb1c5467282230cbbabe61a710
TinderBox: Linux-rpm_deb-x86_64@46-TDF, Branch:master, Time: 2015-05-22_06:33:18
and with LO 4.3.7.2
Comment 3 Commit Notification 2015-09-04 11:41:15 UTC
Katarina Behrens committed a patch related to this issue.
It has been pushed to "libreoffice-5-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a2dd4653a24d87832e0e8c5cfe7ff60562b37ab7&h=libreoffice-5-0

tdf#91501: Add data bar colour to the list if not there yet

It will be available in 5.0.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2015-09-04 11:42:34 UTC
Katarina Behrens committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e8e6475617257054cd0fd5ddb704c1115b165c97

tdf#91501: Add data bar colour to the list if not there yet

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.